package cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.id.transactions;

import cz.moneta.test.dsl.cagw.CaGwAuthRequest;
import cz.moneta.test.harness.support.rest.Get;
import cz.moneta.test.harness.support.rest.PathParam;

@Get("/api/cbl/psd/aisp/my/accounts/{id}/transactions")
public interface TransactionsWithParams extends CaGwAuthRequest<TransactionsWithParams, Void, TransactionsResponse> {

    @PathParam("id")
    TransactionsWithParams id(String id);

    TransactionsWithParams fromDate(String fromDate);

    TransactionsWithParams toDate(String toDate);

    TransactionsWithParams size(String size);

    TransactionsWithParams page(String page);

    TransactionsWithParams sort(String sort);

    TransactionsWithParams order(String order);
}